Go Back   nV News Forums > Linux Support Forums > NVIDIA Linux

Newegg Daily Deals

Reply
 
Thread Tools
Old 03-29-07, 10:33 AM   #1
adamk75
Registered User
 
Join Date: Nov 2006
Posts: 228
Default See what happens when you don't fix your website?

https://launchpad.net/ubuntu/+source....20/+bug/96430

From Ben Collins:

"B) This is proprietary software. We have no control over what the vendor does. We do our best, but these are the breaks. If you don't like this sort of thing happening, complain to nVidia, not us. We didn't decide to drop support for the chipsets in question. We just provided the latest two drivers that nVidia had available on their web site (7184 and 9755). If they had posted links to three drivers, we'd have provided that from the beginning."

So for everyone complaining about problems with Feisty and 1.0-9631, you can blame nVidia for never fixing their Unix Drivers Portal Page:

http://www.nvidia.com/object/unix.html
adamk75 is offline   Reply With Quote
Old 03-29-07, 11:20 AM   #2
netllama
NVIDIA Corporation
 
Join Date: Dec 2004
Posts: 8,763
Default Re: See what happens when you don't fix your website?

All current and past driver releases have always been available via the "Archive" links on this page:
http://www.nvidia.com/object/unix.html

Its unfortunate that Ben Collins did not contact NVIDIA if he was unable to locate a specific driver version.
netllama is offline   Reply With Quote
Old 03-29-07, 11:47 AM   #3
adamk75
Registered User
 
Join Date: Nov 2006
Posts: 228
Default Re: See what happens when you don't fix your website?

How was he even supposed to know that a specific driver version even existed? Between the 1.0-9755 and the 1.0-7184 drivers, all chipsets are supported, correct? At least according the READMEs on-line. So how is he supposed to know that there's a separate, newer (compared to the 7184 drivers) package specifically for the GF2/3/4 cards since it's not listed on the portal page? Do you honestly suggest that everyone take a look at the Archive link to see if there's a more recent driver for their card than the one on the portal page? For crying out loud, it's the "Archive" page :-) Why would it occur to anyone that it would contain newer drivers than the one on the portal page?

Instead of trying to pass the buck, how about admitting that the website is screwed up, misleading, and caused this entire problem in the first place? And then how about fixing it?

Adam
adamk75 is offline   Reply With Quote
Old 03-29-07, 05:01 PM   #4
Robster
Registered User
 
Join Date: May 2004
Location: Christchurch, New Zealand
Posts: 40
Default Re: See what happens when you don't fix your website?

Quote:
Originally Posted by adamk75
Instead of trying to pass the buck, how about admitting that the website is screwed up, misleading, and caused this entire problem in the first place? And then how about fixing it?Adam
Wow... the moderators won't say this, so I will: your attitude sucks, and you won't get much help when you talk to people like that!

That Ubuntu thread makes the Ubuntu users look like a bunch of whining children. There's been a little confusion about driver versions (in the beta series of Ubuntu releases) and people are crying and throwing tantrums because they think they can't have their 3D eye candy.

Ben Collins says that Edgy is supported (and works) right now, and Feisty is not yet. He also says that the driver issue is understood, and Feisty will support the three driver versions.

It seems to me that there was an issue, but it's been recognised and will be sorted out. Why are you now flaming nVidia?
Robster is offline   Reply With Quote
Old 03-29-07, 07:03 PM   #5
adamk75
Registered User
 
Join Date: Nov 2006
Posts: 228
Default Re: See what happens when you don't fix your website?

Quote:
Originally Posted by Robster
Wow... the moderators won't say this, so I will: your attitude sucks, and you won't get much help when you talk to people like that!

That Ubuntu thread makes the Ubuntu users look like a bunch of whining children. There's been a little confusion about driver versions (in the beta series of Ubuntu releases) and people are crying and throwing tantrums because they think they can't have their 3D eye candy.

Ben Collins says that Edgy is supported (and works) right now, and Feisty is not yet. He also says that the driver issue is understood, and Feisty will support the three driver versions.

It seems to me that there was an issue, but it's been recognised and will be sorted out. Why are you now flaming nVidia?
Their lack of initiative in fixing their website (which caused the problem, however minor, in the first place) seems to indicate that they don't really care. The misleading website is the real issue, not this little problem with Ubuntu. And there has been no indication that this issue is being sorted out.

To be fair, I'm not looking for help. I am simply looking for them to own up to their mistakes, fix a problem with their website that has been brought to their attention numerous times, confused numerous users, and at at least one major linux distribution.

As for my attitude... Perhaps it stems from spending a significant amount of time trying to help GF2/GF3/GF4 users get beryl and/or compiz working on their machines, explaining that they don't need to use XGL, that the nVidia website is wrong, and that they're not stuck using the 7184 drivers.

Adam
adamk75 is offline   Reply With Quote
Old 03-29-07, 10:54 PM   #6
Robster
Registered User
 
Join Date: May 2004
Location: Christchurch, New Zealand
Posts: 40
Default Re: See what happens when you don't fix your website?

Well, I can see the point of what you are saying. So would it be OK if someone took the compatibility list and made it a bit prettier and a bit more prominent on the Unix drivers page? NVidia-people, is that doable?

It won't immediately fix Ubuntu Feisty so "it just works", but maybe it will help prevent confusion in future
Robster is offline   Reply With Quote
Old 03-29-07, 10:58 PM   #7
MUYA
 
Join Date: Jul 2002
Location: Hong Kong
Posts: 6,795
Send a message via MSN to MUYA
Default Re: See what happens when you don't fix your website?

His attitude is in question. This forum section is not for bitching and whinning but a help section. Contribute positivetly please or you will be shown the door. You can whine and bitch elsewhere on the web
__________________
I5-2500k@4.7GHz - MSI Z77A-GD65 - 4GB X2 A-DATA DDR3 1600 - Corsair H100 - Antec Quatro 850W
Gigabyte Windforce X3 GTX 680 OC - Dell 24" IPS
Intel 320 300 GB SSD - 1 TB Hitachi HDD - 2x 250 GB WD HDD
Corsair K90 - Corsair Venegance 2000 Headset - Razer Naga Epic
Corsair 600T Case
MUYA is offline   Reply With Quote
Old 03-29-07, 11:06 PM   #8
netllama
NVIDIA Corporation
 
Join Date: Dec 2004
Posts: 8,763
Default Re: See what happens when you don't fix your website?

Robster,
There are plans to rework the driver page to make it more clear which drivers are appropriate for which cards.

thanks,
Lonni
netllama is offline   Reply With Quote

Old 03-30-07, 04:38 AM   #9
adamk75
Registered User
 
Join Date: Nov 2006
Posts: 228
Default Re: See what happens when you don't fix your website?

Actually, my first post was quite civil, I believe. I was simply pointing out the confusion that their website created. It was only after netllama tried to put the blame on Ben Collins for not contacting nVidia about a driver release that many people don't know even exists for their cards that my attitude turned sour.

In any case, is there an ETA on the rework of the driver page?

Adam
adamk75 is offline   Reply With Quote
Old 03-31-07, 06:00 PM   #10
zbiggy
Registered User
 
Join Date: Sep 2002
Posts: 623
Default Re: See what happens when you don't fix your website?

Quote:
Originally Posted by netllama
There are plans to rework the driver page to make it more clear which drivers are appropriate for which cards.
Thank you Netllama. I hope Nvidia will fix Unix driver pages very fast. The problem with right driver is very annoying. Most people just install recent driver on geforce 3-4 which does not work with such hardware and flood Linux forums, mailing list and news groups with their problem. This is very hard to answer again and again to the same questions.

I think 3 versions should be placed on Unix driver page:
Linux IA32
Geforce FX and later latest version: 1.0-9755
Geforce 2 MX up to Geforce 4 use latest version: 1.0-9631
Riva TNT up to (and including) Geforce 2Ti Latest Legacy GPU version: 1.0-7184

The "supported product list" link at:
http://www.nvidia.com/object/linux_d..._1.0-9755.html
www page is wrong because it lies all Geforces since Geforce 2 MX are supported by this driver. Just remove this link or connect it with on-line readme of Nvidia driver /README/appendix-a.html.
zbiggy is offline   Reply With Quote
Reply


Thread Tools

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Forum Jump


Similar Threads
Thread Thread Starter Forum Replies Last Post
HDMI overscan fix for multiple resolutions + Zod Engine Problem. cheechr1 NVIDIA Linux 0 06-11-12 03:27 PM
8 million leaked passwords connected to LinkedIn, dating website News Archived News Items 0 06-06-12 02:50 PM
Jester2K Detonator 30.xx To 40.xx Control Panel Fix sh*tshot NVIDIA Windows Graphics Drivers 1 10-06-02 03:36 AM
QIII engines & Dets 40.41 "darkness" fix... sisi NVIDIA Windows Graphics Drivers 6 09-03-02 05:55 AM
New 40.41 refresh rate fix ???? Smokey NVIDIA Windows Graphics Drivers 8 08-30-02 02:32 PM

All times are GMT -5. The time now is 04:06 AM.


Powered by vBulletin® Version 3.7.1
Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Copyright 1998 - 2014, nV News.